<div *ngIf="user else loading_screen" class="container">
  <div class="row justify-content-center">

    <div class="col-md-3 pl-0 pr-0">
      <div class="small-box bg-white custom-text-1">
        <div class="inner">
          <h3>{{ exams.length }}</h3>

          <p>{{ exams.length ? 'Examination' : 'Examinations' }} created</p>
        </div>
        <div class="icon">
          <i class="fa fa-list-ul custom-text-1"></i>
        </div>
        <a href="#" [routerLink]="['teacher/qeh/category',QEH_category.Exam]" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
      </div>
    </div>

    <div class="col-md-3 pr-0">
      <div class="small-box bg-white custom-text-1">
        <div class="inner">
          <h3>{{ quizzes.length }}</h3>

          <p>{{ quizzes.length ? 'Quiz' : 'Quizzes' }} created</p>
        </div>
        <div class="icon">
          <i class="fa fa-file-text-o custom-text-1"></i>
        </div>
        <a href="#" [routerLink]="['teacher/qeh/category',QEH_category.Quiz]" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
      </div>
    </div>

    <div class="col-md-3 pr-0">
      <div class="small-box bg-white custom-text-1">
        <div class="inner">
          <h3>{{ homeworks.length }}</h3>
          <p>{{ homeworks.length ? 'Homework' : 'Homeworks' }} created</p>
        </div>
        <div class="icon">
          <i class="fa fa-file-archive-o custom-text-1"></i>
        </div>
        <a href="#" [routerLink]="['teacher/qeh/category',QEH_category.Homework]" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
      </div>
    </div>

    <div class="col-md-3 pr-0">
      <div class="small-box bg-white custom-text-1">
        <div class="inner">
          <h3>{{ exercises.length }}</h3>
          <p>{{ exercises.length ? 'Exercise' : 'Exercises' }} created</p>
        </div>
        <div class="icon">
          <i class="fa fa-bicycle custom-text-1"></i>
        </div>
        <a href="#" [routerLink]="['teacher/qeh/category',QEH_category.Excercise]" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
      </div>
    </div>

    <div class="col-lg-3 col-md-3 pl-0 pr-0">
      <div class="card rounded-0">
        <div class="card-header">
          <img [src]="user.profile_path" class=" profile-user-img img-circle" alt="user">
          <h4 class="text-center mt-2">{{ user.getFullname() }}</h4>
          <p class="text-center">{{ user.getUserType() }}</p>
        </div>
        <div class="card-body px-3 pt-2">
          <ul class="list-group list-group-flush">
            <li class="list-group-item px-0">
              <b>Followers</b>
              <a class="float-right">1000</a>
            </li>
            <li class="list-group-item px-0">
              <b>Following</b>
              <a class="float-right">1000</a>
            </li>
          </ul>
        </div>
      </div>
    </div>

    <div class="col-lg-9 col-md-6 col-sm--9 col-9">

      <div class="row">

      </div>

    </div>

  </div>
</div>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>